Page MenuHomePhabricator

[ConstExprPreter] Overflow-detecting methods use GCC or clang builtins
ClosedPublic

Authored by nand on Jul 31 2019, 1:32 PM.

Details

Reviewers
jfb

Event Timeline

nand created this revision.Jul 31 2019, 1:32 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 31 2019, 1:32 PM
jfb accepted this revision.Jul 31 2019, 1:42 PM
jfb added inline comments.
llvm/include/llvm/Support/MathExtras.h
863

The current minimum GCC version is 4.8, with 5.1 on the horizon. You therefore don't need the check :)

This revision is now accepted and ready to land.Jul 31 2019, 1:42 PM
nand updated this revision to Diff 212661.Jul 31 2019, 1:58 PM

removed redundant check